# Gimp.param_spec_choice

    function param_spec_choice(name: String, nick: String, blurb: String, choice: Gimp.Choice, default_value: String, flags: GObject.ParamFlags): GObject.ParamSpec {
        // Gjs wrapper for gimp_param_spec_choice()
    }

Creates a new Gimp.ParamSpecChoice specifying a #G_TYPE_STRING property. This %GimpParamSpecChoice takes ownership of the reference on choice.

See g_param_spec_internal() for details on property names.

Since 3.0

name

  Canonical name of the property specified.

nick

  Nick name of the property specified.

blurb

  Description of the property specified.

choice

  the %GimpChoice describing allowed choices.

default_value
flags

  Flags for the property specified.

Returns

  The newly created Gimp.ParamSpecChoice.